<?php
session_start();

// Redirect to the home page if 'logout' is set
if(isset($_GET['logout'])){
    session_destroy(); // Destroy the session
    header('Location: ./'); // Redirect to home page
    exit;
}

// Prevent unauthorized access
if (empty($_SESSION['userdata'])) {
    header('Location: ./');  // Redirect to login page
    exit;
}

// Include the configuration file
//require("config.php");

?>
<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <title>Dashboard | PHP, MySQL, and Ajax Secure Login System Demo</title>
        <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-T3c6CoIi6uLrA9TneNEoa7RxnatzjcDSCmG1MXxSR1GAsXEV/Dwwykc2MPK8M2HN" crossorigin="anonymous">
    </head>
    <body>
        <?php if(!isset($_GET['iframe'])){?>
        <!-- Header -->
        <header class="container-fluid bg-light">
            <nav class="row">
                <div class="col col-md-auto" style="height:90px;">
                    <div class="h-100 d-flex justify-content-center align-items-center">
                        <a class="navbar-brand mx-3" href="https://www.w3schools.in/" title="W3schools Home"><img id="logo" alt="w3schools logo" class="d-inline-block align-text-middle" src="https://www.w3schools.in/wp-content/uploads/w3schools-logo.png" width="170" height="57"></a> Demo Program
                    </div>
                </div>
                <div class="col d-none d-lg-block" style="height:90px;"><div id="ezoic-pub-ad-placeholder-126"></div></div>
            </nav>
        </header>
        <?php } ?>
        <!-- Top bar -->
        <div class="container-fluid shadow-sm border-bottom mb-4">
            <div class="row aligh-items-center">
                <div class="col">
                    <nav class="navbar navbar-light">
                        <a class="btn btn-sm btn-light me-2" href="php-mysql-and-ajax-secure-login-system.zip" title="Download Demo Files"><svg class="svg-icon" viewBox="0 0 24 24">
                        <path d="M21 15v4a2 2 0 0 1-2 2H5a2 2 0 0 1-2-2v-4"></path>
                    <polyline points="7 10 12 15 17 10"></polyline>
                <line x1="12" y1="15" x2="12" y2="3"></line>
            </svg></a>

        <?php if(isset($_GET['iframe'])){?>
        <a class="btn btn-sm btn-light me-2" href="<?php echo $_SERVER['REQUEST_SCHEME'] .'://'. $_SERVER['HTTP_HOST']  . explode('?', $_SERVER['REQUEST_URI'], 2)[0]; ?>" target="_blank" title="Open in new window"><svg class="svg-icon" viewBox="0 0 24 24">
            <path d="M18 13v6a2 2 0 0 1-2 2H5a2 2 0 0 1-2-2V8a2 2 0 0 1 2-2h6"></path>
            <polyline points="15 3 21 3 21 9"></polyline>
            <line x1="10" y1="14" x2="21" y2="3"></line>
        </svg></a>
        <?php } ?>

        </nav>
    </div>
</div>
</div>
<!-- Main -->
<div class="container">
<?php if(!isset($_GET['iframe'])){?>
<div class="text-center mb-5">
    <h1 class="fw-bolder mb-0">PHP, MySQL, and Ajax Secure Login System Demo</h1>
    <p><a href="https://www.w3schools.in/" target="_blank">w3schools.in</a></p>
</div>
<hr>
<?php } ?>
<div class="text-center">
    <h3 class="display-4">Welcome to Dashboard!</h3>
    <p>Your login was successful. You're now viewing the dashboard.</p>
    <a class="btn btn-danger" href="?logout">Sign out</a>
</div>
<!-- Display user data -->
<div class="my-4">
    <h4>Stored User Data</h4>
    <p>Here's the information we have stored in your current session:</p>
<pre><?php print_r($_SESSION['userdata']); ?></pre>
</div>
</body>
</html>